Bug 113564 - OO bad resolution calculations when using xrandr
Summary: OO bad resolution calculations when using xrandr
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-15 13:28 UTC by diego.santacruz
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-25 20:31:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description diego.santacruz 2004-01-15 13:28:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
If I change the resolution of my screen using xrandr (using the
utility under Preferences->Screen Resolution) then OpenOffice.org
applications (in particular Impress) get the resolution calculations
all messed up. When changing from 1680x1050 (the initial X resolution)
to 1400x1050 all the fonts and images displayed by OO.org get
horizontally compressed.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-6

How reproducible:
Always

Steps to Reproduce:
1. Start X using initial resolution (default in XF86Config)
2. Open a presentation in OO.org Impress (everything shows OK)
3. Close Impress
4. Switch X resolution using xrandr (utility Preferences->Screen
resolution)
5. Open the same presentation again (it shows distorted)
    

Actual Results:  After the resolution change all the font metrics and
other resolution related calculations get broken, causing text to be
compressed and or expanded horizontally or vertically.

Expected Results:  OO.org should correctly get the screen dimensions
and calculate font metrics and others accordingly.

Additional info:

Comment 1 Dan Williams 2004-09-25 20:31:16 UTC
Appears fixed in 1.1.2-5 and later in rawhide.


Note You need to log in before you can comment on or make changes to this bug.